Package org.jbpm.kie.services.impl.form.provider

## Class InMemoryFormProvider

- java.lang.Object
- - org.jbpm.kie.services.impl.form.provider.AbstractFormProvider
  - - org.jbpm.kie.services.impl.form.provider.FreemakerFormProvider
    - - org.jbpm.kie.services.impl.form.provider.InMemoryFormProvider

- All Implemented Interfaces:
    `FormProvider`
  Direct Known Subclasses:
    `InMemoryFormProviderCDI`

      public class InMemoryFormProvider
      extends FreemakerFormProvider

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.kie.services.impl.form.provider.AbstractFormProvider

      `formManagerService`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InMemoryFormProvider()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected String` | `getFormExtension()` |
    `int` | `getPriority()` |
    `String` | `render​(String name, ProcessDefinition process, Map<String,​Object> renderContext)` |
    `String` | `render​(String name, org.kie.api.task.model.Task task, ProcessDefinition process, Map<String,​Object> renderContext)` |

    - ### Methods inherited from class org.jbpm.kie.services.impl.form.provider.FreemakerFormProvider

      `render`

    - ### Methods inherited from class org.jbpm.kie.services.impl.form.provider.AbstractFormProvider

      `getFormSuffix, getTaskFormName, setFormManagerService`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InMemoryFormProvider

          public InMemoryFormProvider()

  - ### Method Detail

    - #### render

          public String render​(String name,
                               ProcessDefinition process,
                               Map<String,​Object> renderContext)

    - #### render

          public String render​(String name,
                               org.kie.api.task.model.Task task,
                               ProcessDefinition process,
                               Map<String,​Object> renderContext)

    - #### getPriority

          public int getPriority()

    - #### getFormExtension

          protected String getFormExtension()

      Overrides:
        `getFormExtension` in class `AbstractFormProvider`